# Automation Wizard

A gem that contains generators that create things testers need.

Currently it only generates a cucumber project.  You can do this by executing:

    wiz testproject <project_name> level=jr
    
This command will create a project in the <em>project_name</em> directory with the files needed to begin
developing specs.  There is an option that can be provided to have the project configure to use different gems:

###Automation Take-Home Test

Purpose:

1. To measure the candidate's ability to build robust tests using the PageObject gem as a base.

2. To measure the candidate's overall code quality


Deliverables:

* Return the generated project folder in a zip file

* Include instructions on how to run the tests and install any required libraries


Required Tools in Generated Gemfile:

* RSpec for the test framework

* Watir-drops gem for the test code (this gem enables you to implement the Page Objects)

* Rake for launching tests / tasks

* Pry for debugging (optional)


Browser the test needs to run on:

* Chrome (Chrome driver should be installed first if not already. If chrome driver is not installed, use [webdrivers](https://github.com/titusfortner/webdrivers))

    


