# -*- encoding: utf-8 -*-
$:.push File.expand_path('../lib', __FILE__)
require 'automation_wizard/version'

Gem::Specification.new do |s|
  s.name        = 'automation_wizard'
  s.version     = AutomationWizard::VERSION
  s.license     = 'MIT'
  s.authors     = ['Avery Roswell']
  s.email       = ['avery.roswell@loblaw.ca']
  s.summary     = %q{Generator for wizard test. Generator for base project setup.}
  s.description = %q{A collection of generators for project setup, applicant testing, and onboarding.}

  s.rubyforge_project = 'automation_wizard'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ['lib']

  s.add_dependency 'thor', '~> 0.17', '>=0.17.0'
end
